RocketsRenderer
Date: 2019-10-22

org.jmol.renderbio

## Class RocketsRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.renderbio.BioShapeRenderer
    - - org.jmol.renderbio.StrandsRenderer
      - - org.jmol.renderbio.RocketsRenderer

- Direct Known Subclasses:
    CartoonRenderer

      public class RocketsRenderer
      extends StrandsRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javajs.util.P3[]` | `cordMidPoints`
    `protected boolean` | `helixRockets`
    `(package private) boolean` | `isRockets`
    `protected boolean` | `renderArrowHeads`
    `private RocketRenderer` | `rr`

    - ### Fields inherited from class org.jmol.renderbio.StrandsRenderer

      `baseStrandOffset, strandCount, strandSeparation`

    - ### Fields inherited from class org.jmol.renderbio.BioShapeRenderer

      `aspectRatio, bioShape, bsVisible, cartoonsFancy, colixBack, colixes, colixesBack, controlPoints, controlPointScreens, diameterBeg, diameterEnd, diameterMid, hermiteLevel, iNext, iNext2, iNext3, iPrev, isCarbohydrate, isHighRes, isNucleic, isPhosphorusOnly, leadAtomIndices, madBeg, madEnd, madMid, mads, meshRenderer, monomerCount, monomers, ribbonBottomScreens, ribbonTopScreens, structureTypes, wingVectors, wireframeOnly`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RocketsRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `calcRopeMidPoints()`
    `protected void` | `renderBioShape(BioShape bioShape)`
    `protected void` | `renderRockets()`
    `protected boolean` | `setupRR(BioShape bioShape, boolean isRockets)`

    - ### Methods inherited from class org.jmol.renderbio.StrandsRenderer

      `renderStrands, renderStrandShape, setStrandCount`

    - ### Methods inherited from class org.jmol.renderbio.BioShapeRenderer

      `calcScreenControlPoints, calcScreens, drawSegmentAB, getLeadColix, getLeadColixBack, render, renderHermiteArrowHead, renderHermiteConic, renderHermiteCylinder, renderHermiteRibbon, setBioColix, setColix, setNeighbors`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isRockets

          boolean isRockets

    - #### helixRockets

          protected boolean helixRockets

    - #### renderArrowHeads

          protected boolean renderArrowHeads

    - #### cordMidPoints

          protected javajs.util.P3[] cordMidPoints

    - #### rr

          private RocketRenderer rr

  - ### Constructor Detail

    - #### RocketsRenderer

          public RocketsRenderer()

  - ### Method Detail

    - #### renderBioShape

          protected void renderBioShape(BioShape bioShape)

      Overrides:
        `renderBioShape` in class `StrandsRenderer`

    - #### renderRockets

          protected void renderRockets()

    - #### setupRR

          protected boolean setupRR(BioShape bioShape,
                                    boolean isRockets)

    - #### calcRopeMidPoints

          protected void calcRopeMidPoints()